//
//Written by GowinSynthesis
//Tool Version "V1.9.9.02"
//Thu Apr 25 16:07:21 2024

//Source file index table:
//file0 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs.v"
//file1 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs_top.v"
`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version="2.3"
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="GOWIN"
`pragma protect encrypt_agent_info="GOWIN Encrypt Version 2.3"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GOWIN",key_keyname="GWK2023-09",key_method="rsa"
`pragma protect key_block
CQcsRTWNeKG9A5gO3GdSoNvW9zYr3PmooBz3vJJYrHFkazaqmvxtJGKC4UGygBk8vXE1NIKCzrix
ts+4g61KOHhd4DYNMOb3HmV2I8s6SwAwCtu3mmY7S4+o5MuyzYTpV9YtKBoZ5ym6957lrUY9d1Be
l7oLPcGOtiL/0cFFmy2gn3xaI84cJbhlR21C0bH47TYv5uDNGJlHNQKdqgZBDsKL3HQYCIYwveIM
wqd3+uZjlD1zeWl08Z045RPP/iKAfoW8j34G5ZM1sLye6hjUb1N3OsyAZP+JXOeDgZ+OW1OVwvuI
Eeo9r6zKZBCzzoX/vEjCCVRH/vbTUoQQ9buY6g==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=13040)
`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cfb"
`pragma protect data_block
[encoded data, 17617 characters]
`pragma protect end_protected
module FifoLMX (
  Data,
  Reset,
  WrClk,
  RdClk,
  WrEn,
  RdEn,
  Q,
  Empty,
  Full
)
;
input [23:0] Data;
input Reset;
input WrClk;
input RdClk;
input WrEn;
input RdEn;
output [23:0] Q;
output Empty;
output Full;
wire VCC;
wire GND;
  \~fifo.FifoLMX  fifo_inst (
    .Reset(Reset),
    .RdClk(RdClk),
    .WrClk(WrClk),
    .WrEn(WrEn),
    .RdEn(RdEn),
    .Data(Data[23:0]),
    .Empty(Empty),
    .Full(Full),
    .Q(Q[23:0])
);
  VCC VCC_cZ (
    .V(VCC)
);
  GND GND_cZ (
    .G(GND)
);
  GSR GSR (
    .GSRI(VCC) 
);
endmodule /* FifoLMX */
